Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.xml.dom
Class DomNotation

    java.lang.Object
      |
      +--gnu.xml.dom.DomNode
            |
            +--gnu.xml.dom.DomExtern
                  |
                  +--gnu.xml.dom.DomNotation

All Implemented Interfaces:
  java.lang.Cloneable, DocumentEvent, EventTarget, Node, NodeList, Notation

public class DomNotation
extends DomExtern
implements Notation

"Notation" implementation. This is a non-core DOM class, supporting the "XML" feature.

Although unparsed entities using this notation can be detected using DOM, neither NOTATIONS nor ENTITY/ENTITIES attributes can be so detected. More, there is no portable way to construct a Notation node, so there's no way that vendor-neutral DOM construction APIs could even report a NOTATION used to identify the intended meaning of a ProcessingInstruction.

In short, avoid using this DOM functionality.

Version:
  $Date: 2001/11/20 04:53:46 $
Author:
  David Brownell
See Also:
  `DomDoctype`, `DomEntity`, `DomPI`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` | `DomNotation(Document owner, java.lang.String name, java.lang.String publicId, java.lang.String systemId)` Constructs a Notation node associated with the specified document, with the specified descriptive data.

Method Summary
`short` | `getNodeType()` DOM L1 Returns the constant NOTATION_NODE.

Methods inherited from class gnu.xml.dom.DomExtern
`getNodeName, getPublicId, getSystemId`

Methods inherited from class gnu.xml.dom.DomNode
`addEventListener, appendChild, clone, cloneNode, compact, createEvent, dispatchEvent, getAttributes, getChildNodes, getElementsByTagName, getElementsByTagNameNS, getFirstChild, getLastChild, getLength, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isReadonly, isSupported, item, makeReadonly, nameAndTypeEquals, normalize, removeChild, removeEventListener, replaceChild, setNodeValue, setPrefix, trimToSize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Notation
`getPublicId, getSystemId`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### DomNotation

    protected DomNotation(Document owner,
                          java.lang.String name,
                          java.lang.String publicId,
                          java.lang.String systemId)

  Constructs a Notation node associated with the specified document, with the specified descriptive data. Note that at least one of the PUBLIC and SYSTEM identifiers must be provided; unlike other external objects in XML, notations may have only a PUBLIC identifier.

  This constructor should only be invoked by a DomDoctype object as part of its declareNotation functionality, or through a subclass which is similarly used in a "Sub-DOM" style layer.

  Parameters:
    `owner` - The document with which this notation is associated
    `name` - Name of this notation
    `publicId` - If non-null, provides the notation's PUBLIC identifier
    `systemId` - If non-null, rovides the notation's SYSTEM identifier

Method Detail

### getNodeType

    public final short getNodeType()

  DOM L1 Returns the constant NOTATION_NODE.
  Specified by:
    `getNodeType` in interface `Node`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.